### Callable

- resolveSrv(hostname: string, callback: function): void

- - Defined in node_modules/@types/node/dns.d.ts:229

  #### Parameters

  - ##### hostname: string

  - ##### callback: function

    - - (err: ErrnoException, addresses: SrvRecord[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: SrvRecord[]

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(hostname: string): Promise<SrvRecord[]>

- - Defined in node_modules/@types/node/dns.d.ts:231

  #### Parameters

  - ##### hostname: string

  #### Returns Promise<SrvRecord[]>

Generated using TypeDoc